create table M_STOMARSEST
(
    ID_STOMARSEST  NUMBER                 not null,
    SIFRA          VARCHAR2(6)            not null,
    STORITEV       VARCHAR2(6)            null    ,
    ID_ARTIKEL     NUMBER                 null    ,
    KOLICINA       NUMBER(18,4)           not null,
    constraint PK_M_STOMARSEST primary key (ID_STOMARSEST)
);

create table M_STORITVESEST
(
    ID_STORSEST    NUMBER                 not null,
    ID_STORITVE    NUMBER                 not null,
    STORITEV       VARCHAR2(6)            null    ,
    ID_ARTIKEL     NUMBER                 null    ,
    KOLICINA       NUMBER(18,4)           not null,
    CENA_BD        NUMBER(18,4)           null    ,
    constraint PK_M_STORITVESEST primary key (ID_STORSEST)
);

create index RELATION_198_FK on M_STORITVESEST (ID_STORITVE asc);

alter table M_STORITVESEST
    add constraint FK_M_STORIT_RELATION__M_STORIT foreign key  (ID_STORITVE)
       references M_STORITVE (ID_STORITVE);

alter table M_NNSTOMAR
    add     SESTAVNICA           VARCHAR2(1)            null;

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (93, SYSDATE, '5.5', 16, 'Sestavnica storitev');