CREATE OR REPLACE VIEW V_DE_NA_VALUE AS
SELECT ID_DN, SUM(SZNESEK) AS SZNESEK, SUM(SZNESEKVAL) AS SZNESEKVAL,
SUM(MZNESEK) AS MZNESEK, SUM(MZNESEKVAL) AS MZNESEKVAL,
SUM(SZNESEK+MZNESEK) AS ZNESEK, SUM(SZNESEKVAL+MZNESEKVAL) AS ZNESEKVAL,
SUM(COST) AS COST,
SUM(PROFIT) AS PROFIT
FROM
(SELECT S.ID_DN, 
ROUND(SUM(COALESCE(S.ZNESEK,0)*(1-COALESCE(S.POPUST,0)/100)*(1-COALESCE(S.POPUST1,0)/100)*(1-COALESCE(S.POPUST2,0)/100)*(1-COALESCE(S.PROVIZIJA,0)/100)*(1+COALESCE(S.DAVEK,0)/100)),2) AS SZNESEK,
ROUND(SUM(COALESCE(S.ZNESEK,0)*(1-COALESCE(S.POPUST,0)/100)*(1-COALESCE(S.POPUST1,0)/100)*(1-COALESCE(S.POPUST2,0)/100)*(1-COALESCE(S.PROVIZIJA,0)/100)*(1+COALESCE(S.DAVEK,0)/100)/COALESCE(TECAJP,1)),2) AS SZNESEKVAL,
0 AS MZNESEK,
0 AS MZNESEKVAL,
SUM(COALESCE(S.SERVICE_COST,0)) AS COST,
SUM((COALESCE(S.ZNESEK,0)*(1-COALESCE(S.POPUST,0)/100)*(1-COALESCE(S.POPUST1,0)/100)*(1-COALESCE(S.POPUST2,0)/100)*(1-COALESCE(S.PROVIZIJA,0)/100))-COALESCE(S.SERVICE_COST,0)) AS PROFIT
FROM M_STORITVE S 
WHERE (S.N_RACUNA IS NULL OR S.N_RACUNA<>'STORNO') AND ((S.CALCULATING IS NULL AND S.VRSTA='DN') OR (S.VRSTA='ST' AND S.ID_STORITVE_GEN IN (SELECT ID_STORITVE FROM M_STORITVE WHERE VRSTA='DN' AND CALCULATING IS NOT NULL)))
GROUP BY S.ID_DN
union all
SELECT D.DEL_NALOG AS ID_DN, 0 AS SZNESEK, 0 AS SZNESEKVAL, SUM(COALESCE(RD.ZNESEK,P.ZNESEK)) AS ZNESEK, SUM(COALESCE(RD.ZNESEK,P.ZNESEK)/COALESCE(COALESCE(SA.TECAJ_PRERACUN,P.TECAJ),1)) AS ZNESEKVAL, 
SUM(P.KOLICINA*COALESCE(A.CENA_SKL,0)) AS COST,
SUM((COALESCE(RD.ZNESEK, P.ZNESEK)*100/(100+(COALESCE(RD.DAV_STOPNJA,P.DAV_STOPNJA))))-(P.KOLICINA*COALESCE(A.CENA_SKL,0))) PROFIT
FROM 
S_DOKUMENT D JOIN S_PROMET P ON D.ID_DOKUMENT=P.ID_DOKUMENT 
JOIN S_ARTIKLI A ON P.ID_ARTIKEL=A.ID_ARTIKEL
LEFT OUTER JOIN S_OBRACUN SO ON P.ID_PROMET=SO.ID_PROMET
LEFT OUTER JOIN RACUN_DATA RD ON SO.ID_OBRACUN=RD.ID_OBRACUN
LEFT OUTER JOIN SALDKONT SA ON RD.ID_SALDKONT=SA.ID_SALDKONT AND SA.STORNO IS NULL
GROUP BY D.DEL_NALOG
union all
SELECT RD.ID_DN, 0 AS SZNESEK, 0 AS SZNESEKVAL, SUM(RP.ZNESEK*(1+COALESCE(RP.DAV_STOPNJA,0)/100)) AS ZNESEK, SUM(RP.ZNESEK*(1+COALESCE(RP.DAV_STOPNJA,0)/100)/COALESCE(RP.TECAJ,1)) AS ZNESEKVAL,
SUM(RP.KOLICINA*COALESCE(RA.CENA_SKL,0)) AS COST,
SUM((RP.ZNESEK*100/(100+RP.DAV_STOPNJA))-(RP.KOLICINA*COALESCE(RA.CENA_SKL,0))) PROFIT
FROM S_RAZNI_DOK RD JOIN S_RD_PROMET RP ON RD.ID_RAZNI_DOK=RP.ID_RAZNI_DOK JOIN S_ARTIKLI RA ON RP.ID_ARTIKEL=RA.ID_ARTIKEL
GROUP BY RD.ID_DN
) DEL_NALOG
GROUP BY ID_DN
;

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (1329, SYSDATE, '5.5', 1249, 'V_DE_NA_VALUE')
;