CREATE TABLE PREVOD_DICT (
ID_PREVOD_DICT NUMBER NOT NULL,
KODA_JEZIKA VARCHAR2(5 CHAR) NOT NULL,
TRANSLTEXT VARCHAR2(250 CHAR) NOT NULL,
TRANSLTEXT_FROM VARCHAR2(250 CHAR) NOT NULL,
PRIMARY KEY (ID_PREVOD_DICT));

CREATE SEQUENCE ID_PREVOD_DICT START WITH 1 INCREMENT BY 1;

CREATE OR REPLACE TRIGGER ID_PREVOD_DICT_autoinc
BEFORE INSERT
ON PREVOD_DICT
REFERENCING NEW AS NEW
FOR EACH ROW
BEGIN
SELECT ID_PREVOD_DICT.nextval INTO :NEW.ID_PREVOD_DICT FROM dual;;
END;;
;

CREATE INDEX IX_PREVOD_DICT ON PREVOD_DICT (KODA_JEZIKA, TRANSLTEXT_FROM);

alter table NUSER add constraint NUSER_PK primary key  (NUSER);

ALTER TABLE M_NNVRSTESKLOPOV ADD INTERNI_OPIS VARCHAR2(100 CHAR);
UPDATE M_NNVRSTESKLOPOV SET INTERNI_OPIS=OPIS WHERE INTERNI_OPIS IS NULL;
ALTER TABLE NINVENTAR ADD INTERNI_OPIS VARCHAR2(100 CHAR);
UPDATE NINVENTAR SET INTERNI_OPIS=OPIS WHERE INTERNI_OPIS IS NULL;
ALTER TABLE NINVENTARGRUPA ADD INTERNI_OPIS VARCHAR2(100 CHAR);
UPDATE NINVENTARGRUPA SET INTERNI_OPIS=OPIS WHERE INTERNI_OPIS IS NULL;
ALTER TABLE NKNJIZBA ADD INTERNI_OPIS VARCHAR2(100 CHAR);
UPDATE NKNJIZBA SET INTERNI_OPIS=SLO WHERE INTERNI_OPIS IS NULL;
ALTER TABLE NNBANKE ADD INTERNI_OPIS VARCHAR2(100 CHAR);
UPDATE NNBANKE SET INTERNI_OPIS=OPIS WHERE INTERNI_OPIS IS NULL;
ALTER TABLE NNCARDS ADD INTERNI_OPIS VARCHAR2(100 CHAR);
UPDATE NNCARDS SET INTERNI_OPIS=OPIS WHERE INTERNI_OPIS IS NULL;
ALTER TABLE NNDODATKI ADD INTERNI_OPIS VARCHAR2(100 CHAR);
UPDATE NNDODATKI SET INTERNI_OPIS=OPIS WHERE INTERNI_OPIS IS NULL;
ALTER TABLE NNDRZAVE ADD INTERNI_OPIS VARCHAR2(100 CHAR);
UPDATE NNDRZAVE SET INTERNI_OPIS=OPIS WHERE INTERNI_OPIS IS NULL;
ALTER TABLE NNENOTE ADD INTERNI_OPIS VARCHAR2(100 CHAR);
UPDATE NNENOTE SET INTERNI_OPIS=OPIS WHERE INTERNI_OPIS IS NULL;
ALTER TABLE NNGLAGRU ADD INTERNI_OPIS VARCHAR2(100 CHAR);
UPDATE NNGLAGRU SET INTERNI_OPIS=NAZIV WHERE INTERNI_OPIS IS NULL;
ALTER TABLE NNGLAPC ADD INTERNI_OPIS VARCHAR2(100 CHAR);
UPDATE NNGLAPC SET INTERNI_OPIS=OPIS WHERE INTERNI_OPIS IS NULL;
ALTER TABLE NNGRUSTO ADD INTERNI_OPIS VARCHAR2(100 CHAR);
UPDATE NNGRUSTO SET INTERNI_OPIS=OPIS WHERE INTERNI_OPIS IS NULL;
ALTER TABLE NNISKANJE ADD INTERNI_OPIS VARCHAR2(100 CHAR);
UPDATE NNISKANJE SET INTERNI_OPIS=OPIS WHERE INTERNI_OPIS IS NULL;
ALTER TABLE NNKONS_MAT ADD INTERNI_OPIS VARCHAR2(100 CHAR);
UPDATE NNKONS_MAT SET INTERNI_OPIS=OPIS WHERE INTERNI_OPIS IS NULL;
ALTER TABLE NNLEZISCA ADD INTERNI_OPIS VARCHAR2(100 CHAR);
UPDATE NNLEZISCA SET INTERNI_OPIS=OPIS WHERE INTERNI_OPIS IS NULL;
ALTER TABLE NNLOKACI ADD INTERNI_OPIS VARCHAR2(100 CHAR);
UPDATE NNLOKACI SET INTERNI_OPIS=NAZIV WHERE INTERNI_OPIS IS NULL;
ALTER TABLE NNPOMOL ADD INTERNI_OPIS VARCHAR2(100 CHAR);
UPDATE NNPOMOL SET INTERNI_OPIS=NAZIV WHERE INTERNI_OPIS IS NULL;
ALTER TABLE NNSTATBOOK ADD INTERNI_OPIS VARCHAR2(100 CHAR);
UPDATE NNSTATBOOK SET INTERNI_OPIS=OPIS WHERE INTERNI_OPIS IS NULL;
ALTER TABLE NNSTATDN ADD INTERNI_OPIS VARCHAR2(100 CHAR);
UPDATE NNSTATDN SET INTERNI_OPIS=OPIS WHERE INTERNI_OPIS IS NULL;
ALTER TABLE NNSTOAK ADD INTERNI_OPIS VARCHAR2(100 CHAR);
UPDATE NNSTOAK SET INTERNI_OPIS=OPIS WHERE INTERNI_OPIS IS NULL;
ALTER TABLE NNSTOFILTER ADD INTERNI_OPIS VARCHAR2(100 CHAR);
UPDATE NNSTOFILTER SET INTERNI_OPIS=OPIS WHERE INTERNI_OPIS IS NULL;
ALTER TABLE NNVALUTE ADD INTERNI_OPIS VARCHAR2(100 CHAR);
UPDATE NNVALUTE SET INTERNI_OPIS=OPIS WHERE INTERNI_OPIS IS NULL;
ALTER TABLE NNVRSRAC ADD INTERNI_OPIS VARCHAR2(100 CHAR);
UPDATE NNVRSRAC SET INTERNI_OPIS=NAZIV WHERE INTERNI_OPIS IS NULL;
ALTER TABLE NNVRSTEDRZAV ADD INTERNI_OPIS VARCHAR2(100 CHAR);
UPDATE NNVRSTEDRZAV SET INTERNI_OPIS=OPIS WHERE INTERNI_OPIS IS NULL;
ALTER TABLE NPROIZV ADD INTERNI_OPIS VARCHAR2(100 CHAR);
UPDATE NPROIZV SET INTERNI_OPIS=PROIZVAJALEC WHERE INTERNI_OPIS IS NULL;
ALTER TABLE NRIGHTS ADD INTERNI_OPIS VARCHAR2(100 CHAR);
UPDATE NRIGHTS SET INTERNI_OPIS=KOMENTAR WHERE INTERNI_OPIS IS NULL;
ALTER TABLE NTECAJ ADD INTERNI_OPIS VARCHAR2(100 CHAR);
UPDATE NTECAJ SET INTERNI_OPIS=OPIS WHERE INTERNI_OPIS IS NULL;
ALTER TABLE NTIPMOT ADD INTERNI_OPIS VARCHAR2(100 CHAR);
UPDATE NTIPMOT SET INTERNI_OPIS=TIP_MOTORJA WHERE INTERNI_OPIS IS NULL;
ALTER TABLE NVRSTA ADD INTERNI_OPIS VARCHAR2(100 CHAR);
UPDATE NVRSTA SET INTERNI_OPIS=SLO WHERE INTERNI_OPIS IS NULL;
ALTER TABLE PLATNI_INSTRUMENTI ADD INTERNI_OPIS VARCHAR2(100 CHAR);
UPDATE PLATNI_INSTRUMENTI SET INTERNI_OPIS=OPIS WHERE INTERNI_OPIS IS NULL;
ALTER TABLE PRINT_MODULI ADD INTERNI_OPIS VARCHAR2(100 CHAR);
UPDATE PRINT_MODULI SET INTERNI_OPIS=OPIS WHERE INTERNI_OPIS IS NULL;
ALTER TABLE SIFKONT ADD INTERNI_OPIS VARCHAR2(100 CHAR);
UPDATE SIFKONT SET INTERNI_OPIS=NAZIV WHERE INTERNI_OPIS IS NULL;
ALTER TABLE S_ARTIKLI ADD INTERNI_OPIS VARCHAR2(100 CHAR);
UPDATE S_ARTIKLI SET INTERNI_OPIS=NAZIV1 WHERE INTERNI_OPIS IS NULL;
ALTER TABLE S_DAVEK ADD INTERNI_OPIS VARCHAR2(100 CHAR);
UPDATE S_DAVEK SET INTERNI_OPIS=OPIS WHERE INTERNI_OPIS IS NULL;
ALTER TABLE S_ENOTE ADD INTERNI_OPIS VARCHAR2(100 CHAR);
UPDATE S_ENOTE SET INTERNI_OPIS=NAZIV WHERE INTERNI_OPIS IS NULL;
ALTER TABLE S_GRUPE ADD INTERNI_OPIS VARCHAR2(100 CHAR);
UPDATE S_GRUPE SET INTERNI_OPIS=NAZIV WHERE INTERNI_OPIS IS NULL;
ALTER TABLE S_LOKACIJE ADD INTERNI_OPIS VARCHAR2(100 CHAR);
UPDATE S_LOKACIJE SET INTERNI_OPIS=NAZIV WHERE INTERNI_OPIS IS NULL;
ALTER TABLE TIPI_TRANS ADD INTERNI_OPIS VARCHAR2(100 CHAR);
UPDATE TIPI_TRANS SET INTERNI_OPIS=OPIS WHERE INTERNI_OPIS IS NULL;
ALTER TABLE VRSTE_KNJIZB ADD INTERNI_OPIS VARCHAR2(100 CHAR);
UPDATE VRSTE_KNJIZB SET INTERNI_OPIS=OPIS WHERE INTERNI_OPIS IS NULL;

INSERT INTO MARINA_SEQUENCES (TABLENAME, FIELDNAME, SEQUENCE_NAME, COUNTER_TYPE) VALUES ('PREVOD_FORME', 'ID_PREVODA', 'PREVOD_FORME_SEQ', 'S_KLJUCI');
INSERT INTO MARINA_SEQUENCES (TABLENAME, FIELDNAME, SEQUENCE_NAME, COUNTER_TYPE) VALUES ('PREVOD_ORG', 'ID_PREVOD_ORG', 'PREVOD_ORG_SEQ', 'S_KLJUCI');
INSERT INTO MARINA_SEQUENCES (TABLENAME, FIELDNAME, SEQUENCE_NAME, COUNTER_TYPE) VALUES ('PREVOD_DATA', 'ID_PREVOD_DATA', 'PREVOD_DATA_SEQ', 'S_KLJUCI');
INSERT INTO MARINA_SEQUENCES (TABLENAME, FIELDNAME, SEQUENCE_NAME, COUNTER_TYPE) VALUES ('PREVOD_LDATA', 'ID_PREVOD_LDATA', 'PREVOD_LDATA_SEQ', 'S_KLJUCI');

ALTER TABLE PREVOD_LDATA MODIFY ID_PREVOD_LDATA NUMBER;


insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (231, SYSDATE, '5.5', 151, 'DICTIONARY');