ALTER TABLE BATCH_PRINT
  ADD SEND_TO_PRINTER VARCHAR2(1 CHAR)
;

ALTER TABLE BATCH_PRINT 
  ADD REPORT_FILENAME VARCHAR2(250 CHAR)
;

ALTER TABLE BATCH_PRINT 
  ADD REPORT_FILTER VARCHAR2(250 CHAR)
;

ALTER TABLE BATCH_PRINT 
  ADD REPORT_TRANSLATE VARCHAR2(100 CHAR)
;

ALTER TABLE BATCH_PRINT 
  ADD ID_KUPCA NUMBER
;

ALTER TABLE BATCH_PRINT
  ADD REPORT_PDF BLOB
;

ALTER TABLE BATCH_PRINT
  ADD PRIORITY NUMBER DEFAULT 2
;

CREATE TABLE M_DOK_DENA (
ID_DOK_DENA NUMBER NOT NULL,
ID_PLOVILA NUMBER NOT NULL,
ID_LASTNIKA NUMBER NOT NULL,
DATUM DATE NOT NULL,
STEVILKA VARCHAR2(30 CHAR) NOT NULL,
USER_KREIRANJA VARCHAR2(20 CHAR) NOT NULL,
DATUM_KREIRANJA DATE NOT NULL,
STATUS VARCHAR2(1 CHAR),
CONSTRAINT PK_M_DOK_DENA PRIMARY KEY (ID_DOK_DENA)
)
;

CREATE SEQUENCE M_DOK_DENA_SEQ MINVALUE 1 INCREMENT BY 1 START WITH 1 NOCACHE NOORDER  NOCYCLE
;

ALTER TABLE M_DE_NA
  ADD ID_DOK_DENA NUMBER
;

Insert into PRINT_MODULI (MODULE_ID,OPIS,CR_FILE,INTERNI_OPIS,PARAMETERS) values ('WO_DOCUMENT','Work order document','G_WoDocument.rpt','Work order document',null)
;

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (793, SYSDATE, '5.5', 713, 'BatchPrint in M_DOK_DENA')
;